# std::raw_storage_iterator< _ForwardIterator, _Tp > Class Template Reference

`#include <stl_raw_storage_iter.h>`

Inheritance diagram for std::raw_storage_iterator< _ForwardIterator, _Tp >:

[legend]
Collaboration diagram for std::raw_storage_iterator< _ForwardIterator, _Tp >:

[legend]
List of all members.

## Detailed Description

### template<class _ForwardIterator, class _Tp>
class std::raw_storage_iterator< _ForwardIterator, _Tp >

This iterator class lets algorithms store their results into uninitialized memory.

Definition at line 71 of file stl_raw_storage_iter.h.

The documentation for this class was generated from the following file:

- stl_raw_storage_iter.h